# Constrain clock port clk with a 10-ns requirement

create_clock -period 20 [get_ports clk]

# Automatically apply a generate clock on the output of phase-locked loops (PLLs) 
# This command can be safely left in the SDC even if no PLLs exist in the design

derive_pll_clocks

# Constrain the input I/O path

set_input_delay -clock clk -max 3 [all_inputs]
set_input_delay -clock clk -min 2 [all_inputs]

#set_input_delay -clock dp -max 3 [all_inputs]
#set_input_delay -clock dp -min 2 [all_inputs]
#set_input_delay -clock dm -max 3 [all_inputs]
#set_input_delay -clock dm -min 2 [all_inputs]
